WordPress.org

Ready to get started?Download WordPress

Forums

Simple Real Estate Pack
simplexml_load_string() error (3 posts)

  1. frisco
    Member
    Posted 3 years ago #

    First of all, great plug in. I haven't explored the full power, but came across an error when adding this map to a post:

    [srp_profile lat="38.9273122" lng="-77.2348726" address="8352 Greensboro Drive" city="McLean" state="VA" zip_code="22102"]
    
    [/srp_profile]

    The error I got was:

    Warning: simplexml_load_string() [function.simplexml-load-string]: Entity: line 11: parser error : Opening and ending tag mismatch: br line 10 and body in /home/qbg/johnmurray-realtor.com/wp-content/plugins/simple-real-estate-pack-4/srp-functions.php on line 387

    I only received this error on 1 map, and have other examples of the map working without error, such as here.

    Given that it works on 1 post but fails on another where the only difference is the address, I've ruled out theme or plugin conflicts.

    Anyone have any thoughts on why this error on this address?

    http://wordpress.org/extend/plugins/simple-real-estate-pack-4/

  2. Max Chirkov
    Member
    Plugin Author

    Posted 3 years ago #

    Hi there,

    this is an interesting bug, which I'm not sure what exactly is...

    When I copied and pasted your shortcode - it failed. But then I went through the process of creating a shortcode from the editor panel - it worked just fine. Since the shortcodes are identical, it has something to do with wordpress formatting html code on its own. This may be happening when you switch between visual and html modes within the editor or if you try adding content between the [srp_profile] tags manually, or if in Writing Settings (Settings -> Writing) you checked the box to correct invalidly nested XHTML automatically. These are just a few cases that I would suspect off the top of my head.

    I made a short screencast to show you that your example actually works. Please take a look: http://screenr.com/nVG

  3. frisco
    Member
    Posted 3 years ago #

    Max - Thanks for the prompt follow up.

    Just to confirm, I entered the shortcode the same way you demonstrated in the screencast. I also checked, and I don't have the checkbox selected for "WordPress should correct invalidly nested XHTML automatically". Something else comes to mind, which you might be able to rule out:

    Line 387 seems to relate to the GRE plugin. At one time I did have this plugin installed and activated, but no longer. Is it possible that there is a setting left behind from that plugin that is triggering the error?

    I just re-tested things, and deactivated all of my plugins with the "Local Schools" option selected. It triggered the error shown. If I disable the "Local Schools" options - either with no plugins or all of my plugins loaded - it works fine. Note that this is with no change to the shortcode between the tests. That suggests it'd due to processing the "Local Schools" option (+ perhaps some plugin issue, since that option works for you) and not tied to the shortcode.

    I'm happy to do more testing to track this down. Just let me know what I can do to help.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic